Inhalte

# Anweisung Type

Definiert Nicht-UNO-Datenstrukturen.

Eine Type-Struktur ist eine geordnete Sammlung von Datenfeldern, die als einzelnes Element bearbeitet werden können.

### Syntax:

             Type struct_name
                 DataField1 As TypeName1
                 DataField2 As TypeName2
                 (...)
             End Type ' struct_name

##### Fragment eines Arrays

          ( [[start To] end], .. )

##### Parameter

start: Untere Grenze einer Dimension.

end: Obere Grenze einer Dimension.

Mehrere Dimensionen für ein Array werden durch Kommata (,) gekennzeichnet.

##### Typnamenfragment

          {Boolean|Byte|Currency|Date|Double|Integer|Long|Object|Single|String|Variant}

Erweiterte Typen wie Anweisungsstrukturen Type, UNO-Objekte oder Objekte ClassModule sind gültige Typnamen.

##### Zeichenfragment

          { % | & | ! | # | $ | @ }

Ein Type-Strukturbereich ist der Bereich des Moduls, zu dem er gehört.

### Beispiel:

             Type Customer
                 Name1 As String
                 City As String
             End Type ' Customer structure
             Sub setCustomer
                 Dim oCustomer as New Customer
                 oCustomer.Name1 = "The Document Foundation"
                 oCustomer.City = "Berlin"
             End Sub

Aufzählungen können mithilfe der Definition von Type-Anweisung erstellt werden. Aufrufen von Python-Skripten über Basic veranschaulicht diesen Mechanismus.

Verwandte Themen

Anweisung Option ClassModule

Funktion CreateObject